## org.eclipse.datatools.sqltools.result.export
Class AbstractOutputter

    java.lang.Object
      org.eclipse.datatools.sqltools.result.export.AbstractOutputter

Direct Known Subclasses:
  HTMLOutputter, TextOutputter, XMLOutputter

    public abstract class AbstractOutputter

extends java.lang.Object

This class is to write the result set(s) into print writer.

Author:
  Dafan Yang

Constructor Summary
`AbstractOutputter()`

Method Summary
`abstract void` `output(IResultInstance rs, java.util.Properties props, java.lang.String path)` Ouputs all the result set objects in the result instance to the given file path
`abstract void` `output(IResultSetObject rs, java.util.Properties props, java.lang.String path)` Ouputs the result set object to the given file path

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOutputter

    public AbstractOutputter()

Method Detail

### output

    public abstract void output(IResultSetObject rs,
                                java.util.Properties props,
                                java.lang.String path)
                         throws java.io.IOException

  Ouputs the result set object to the given file path

  Parameters:
    `rs` - the result set object
    `props` - output options, can get the encoding,delimiter type and user-defined delimiter from it
    `path` - the file path
  Throws:
    `java.io.IOException` - -- if i/o error occurs
  See Also:
    `IResultConstants.ENCODING`, `IResultConstants.DELIMITER`, `IResultConstants.USERDEFINED_DELIMITER`

### output

    public abstract void output(IResultInstance rs,
                                java.util.Properties props,
                                java.lang.String path)
                         throws java.io.IOException

  Ouputs all the result set objects in the result instance to the given file path

  Parameters:
    `rs` - the result instance
    `props` - output options, can get the encoding,delimiter type and user-defined delimiter from it
    `path` - the file path
  Throws:
    `java.io.IOException` - -- if i/o error occurs
  See Also:
    `IResultConstants.ENCODING`, `IResultConstants.DELIMITER`, `IResultConstants.USERDEFINED_DELIMITER`